<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view"
        android:layout_width="wrap_content"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="42dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">


            <LinearLayout
                android:id="@+id/back_btn"
                android:layout_width="42dp"
                android:layout_height="match_parent"
                android:layout_marginStart="8dp"
                android:gravity="center">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@mipmap/ic_setting_back" />

            </LinearLayout>

            <TextView
                android:id="@+id/title_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:text="My Downloads"
                android:textColor="@color/black"
                android:textSize="16dp"
                android:textStyle="bold" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/loading_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:indeterminateTint="#FF03A9F4"
                android:progressBackgroundTint="#FF03A9F4"
                android:progressTint="#FF03A9F4" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_data_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">


            <TextView
                android:layout_width="wrap_content"
                android:textColor="@color/black"
                android:textStyle="bold"
                android:textSize="18dp"
                android:layout_height="wrap_content"
                android:text="No Data"/>

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_photo_ist"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingStart="10dp" />

    </LinearLayout>
</RelativeLayout>